/******************************************************************************
 *            echecs_init.h                                                   *
 *                                                                            *
 *  Copyright  2006  gerald.dumas                                             *
 *  linechec@laposte.net                                                      *
 ******************************************************************************
 *                                                                            *
 *  This program is free software; you can redistribute it and/or modify      *
 *  it under the terms of the GNU General Public License as published by      *
 *  the Free Software Foundation; either version 2 of the License, or         *
 *  any later version.                                                        *
 *                                                                            *
 *  This program is distributed in the hope that it will be useful,           *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of            *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
 *  GNU General Public License for more details.                              *
 *                                                                            *
 *  You should have received a copy of the GNU General Public License         *
 *  along with this program; if not, write to the Free Software               *
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.*
 ******************************************************************************/

/* fichier entête de la librairie d'initialisation*/
#include "echecs_var.h"
#include "echecs_fcts_annexes.h"
#include "echecs_coups_jouables.h"

#if !defined (ECHECS_INIT)
#define ECHECS_INIT

extern type_piece initialisation_piece (gint pos_table, gchar piece,
					gint couleur, gint position,
					gint ponderation);
extern gboolean configuration_soft (gint argc, gchar ** argv);
extern GList *echec_init (GList * liste_coups_jouables);

#endif
