/******************************************************************************
 *            echecs_mis_en_echec.c                                           *
 *                                                                            *
 *  Copyright  2006  gerald.dumas                                             *
 *  linechec@laposte.net                                                      *
 ******************************************************************************
 *                                                                            *
 *  This program is free software; you can redistribute it and/or modify      *
 *  it under the terms of the GNU General Public License as published by      *
 *  the Free Software Foundation; either version 2 of the License, or         *
 *  any later version.                                                        *
 *                                                                            *
 *  This program is distributed in the hope that it will be useful,           *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of            *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
 *  GNU General Public License for more details.                              *
 *                                                                            *
 *  You should have received a copy of the GNU General Public License         *
 *  along with this program; if not, write to the Free Software               *
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.*
 ******************************************************************************/

/* fonction de test pour savoir si le roi de la couleur spécifiée est en échec */

#include "echecs_mis_en_echec.h"

gboolean le_roi_est_en_echec(gint couleur_roi)
{
	gint8 piece_locale;
	gint8 couleur_piece=blanche;
	gint8 pos_roi=32;

	register int x,y;

	if (couleur_roi==blanche)
	{
		couleur_piece=noire;
		pos_roi=16;
	}

	for (x = 0;x < 7;x++) // boucle de parcours des différentes pièces
	{
		y=0;
		while( rosace[x][y] != 0)
		{
				piece_locale=table_piece[pos_roi].place;
				if (((x==0 || x==1) && y<2) || x>=2) // ne teste pas le déplacement du pion en avant d'1 ou 2 cases
				{
					// Il faut sauter le test du pion de la couleur testée
					if ((couleur_roi==blanche && x!=1) || (couleur_roi==noire && x!=0))
					{
						if (x>=4)
						{
							while (echiquier[piece_locale+rosace[x][y]].type_piece==vide)
									piece_locale=piece_locale+rosace[x][y];
						}
						if ((echiquier[piece_locale+rosace[x][y]].type_piece==corres_piece[x])
								&& (echiquier[piece_locale+rosace[x][y]].couleur_piece==couleur_piece))
								return TRUE;
					}
				}
			y++;
		}
	}
	return FALSE;
}
